This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 741027

Summary: power saving settings for display are too dumbed down
Product: [Fedora] Fedora Reporter: cam <camilo>
Component: control-centerAssignee: Control Center Maintainer <control-center-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: collura, control-center-maint, rstrode
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 08:01:56 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description cam 2011-09-24 10:07:08 EDT
Description of problem:
I used to choose to dim the display to save power when running on battery. However I see this as an annoying compromise and would much rather use the screen at the standard brightness when power saving is not crucial. I would watch video etc. with the power connected thus enjoying the full brightness of the screen.

The new control center only allows a binary setting to dim the screen or not. While this is OK for some purposes, it's very annoying when watching video content or animation longer than the timeout. 

Ideally Fedora would allow users to benefit from power savings when not viewing video content without arcane settings. The recent change has moved towards making the setting (as it now is) pointless for me, and reduced the opportunity for power saving.

Would it be possible for a modern compositing WM to detect when the display content is changing (or contains video) and automate the power saving this way? This would provide a better integrated and more optimal solution.

Version-Release number of selected component (if applicable):
control-center-3.1.91-1.fc16.i686

How reproducible:
100%

Steps to Reproduce:
1.visit system settings, note that 'screen' settings are no longer related to power sources
2.choose dim, connect power
3.watch video
  
Actual results:
screen dims while watching video if there is no user input

Expected results:
screen should not dim as it's a poor user experience and does not save battery power.

Additional info:
using nouveau driver
Comment 1 cam 2011-10-04 15:59:08 EDT
I've found that the old settings are available, from the command line, even if the GUI denies access to them:

gsettings list-keys org.gnome.settings-daemon.plugins.power
- lists all the settings

idle-dim-battery and idle-dim-ac are relevant.


gsettings set org.gnome.settings-daemon.plugins.power idle-dim-battery true
- this allows the dim to happen when running on battery.
Comment 2 cam 2011-10-12 03:23:52 EDT
Unfortunately, I'm still seeing some strange behaviour when using the gsettings above:

[cxm@bishop ~]$ gsettings get org.gnome.settings-daemon.plugins.power idle-dim-battery
true
[cxm@bishop ~]$ gsettings get org.gnome.settings-daemon.plugins.power idle-dim-ac
false
[cxm@bishop ~]$ gsettings get org.gnome.settings-daemon.plugins.power idle-dim-time
10
[cxm@bishop ~]$ gsettings get org.gnome.settings-daemon.plugins.power idle-brightness
30

With the mains adapter plugged in and the gnome shell power display showing battery + spark, it still dims after some time. I use the BIOS buttons to raise the brightness to a usable level again (recognised by Gnome because an animated overlay pops up).

I timed the delay until the display dims again, I left it over a minute then it dimmed gradually as soon as I moved the pointer. It seems like it detects idle as soon as it's over the timeout, on the next movement event. Maybe this merits a new bug or maybe it's a side effect of my low level gsettings tweaks.
Comment 3 Fedora End Of Life 2013-01-16 07:40:15 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 08:02:01 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.